## dsdp 0.1.0

=== DESCRIPTION ===
Package: dsdp
Title: Density Estimation with Semidefinite Programming
Version: 0.1.0
Authors@R: c(
    person("Satoshi", "Kakihara",,email = "skakihara@gmail.com",
        role = c("aut", "cre")),
    person("Takashi",  "Tsuchiya", email = "tsuchiya@grips.ac.jp",
        role = "aut"))
Description: The models of probability density functions are Gaussian or
    exponential distributions with polynomial correction terms.
    Using a maximum likelihood method, 'dsdp' computes parameters of Gaussian
    or exponential distributions together with degrees of polynomials by
    a grid search, and coefficient of polynomials by a variant of semidefinite
    programming. It adopts Akaike Information Criterion for model selection.
    See a vignette for a tutorial and more on our 'Github' repository 
    <https://github.com/tsuchiya-lab/dsdp/>.
Encoding: UTF-8
RoxygenNote: 7.2.1
Depends: R (>= 2.10)
LazyData: true
Suggests: rmarkdown, knitr
VignetteBuilder: knitr, rmarkdown
Imports: ggplot2, rlang, stats
License: MIT + file LICENSE
URL: https://tsuchiya-lab.github.io/dsdp/
BugReports: https://github.com/tsuchiya-lab/dsdp/issues
NeedsCompilation: yes
Packaged: 2022-12-02 18:04:33 UTC; skaki
Author: Satoshi Kakihara [aut, cre],
  Takashi Tsuchiya [aut]
Maintainer: Satoshi Kakihara <skakihara@gmail.com>
Repository: CRAN
Date/Publication: 2022-12-05 10:30:04 UTC

=== src/slatec/Makefile ===
FFLAGS = -Wall
SRC_FILES = xgetua.f dlngam.f xersve.f j4save.f d1mach.f \
	d9lgit.f xgetf.f dgamlm.f i1mach.f dlgams.f d9gmic.f dgamm0.f \
	xsetf.f fdump.f dgami.f xerclr.f dcsevl.f \
	d9lgic.f dgamit.f d9lgmc.f initds.f xerprn.f xermsg.f \
	dgamr.f d9gmit.f dgamic.f


all: $(SRC_FILES)
	gfortran.exe $(FFLAGS) -c $(SRC_FILES)

.PHONY: clean
clean:
	rm -f *.o *.exe

## dsdp 0.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: dsdp
 Title: Density Estimation with Semidefinite Programming
-Version: 0.1.0
+Version: 0.1.1
 Authors@R: c(
     person("Satoshi", "Kakihara",,email = "skakihara@gmail.com",
         role = c("aut", "cre")),
@@ -25,9 +25,9 @@
 URL: https://tsuchiya-lab.github.io/dsdp/
 BugReports: https://github.com/tsuchiya-lab/dsdp/issues
 NeedsCompilation: yes
-Packaged: 2022-12-02 18:04:33 UTC; skaki
+Packaged: 2023-02-08 15:47:17 UTC; skaki
 Author: Satoshi Kakihara [aut, cre],
   Takashi Tsuchiya [aut]
 Maintainer: Satoshi Kakihara <skakihara@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-12-05 10:30:04 UTC
+Date/Publication: 2023-02-11 10:10:20 UTC

## dsdp 5.8

=== Makefile ===

default: 
	make all

D1       =  src
D2       =  examples
D3	 =  matlab
D4       =  bin

include make.include

dsdplibrary: chkroot info
	cd ${D1}; make all
	${RANLIB} ${DSDPLIB}

example:
	cd ${D2}; make most

test:
	cd ${D4}; make all

dmatlab:
	cd ${D2}; make dsdp

dsdpmatlab: dsdplibrary
	make dmatlab

dsdpapi: dsdplibrary
	make example
	make test;

install:
	make dsdplibrary
	make example
	make test
	make dmatlab

all:
	make install

clean:
	cd ${D1}; make clean
	cd ${D2}; make clean
	cd ${D4}; make clean
	${RM} lib/lib* matlab/dsdp.mex*
	${RM} *~ */*~ */*/*~

htmlzip:
	zip -r DSDP5-api-html.zip dox
	${RM} -R dox

oshared: 
	-@${RM} tmp; \
	mkdir tmp; \
	cd tmp; \
	echo "building ${DSDPLIBSO}"; \
	${AR} x ${DSDPLIB} ;\
	${SH_LD} ${DSDPLIBSO} *.o -o ${DSDPLIBSO}; \
	cd ../ ; \
	${RM} tmp

=== bin/Makefile ===

default:
	make all

DIFF = diff
RM = rm -rf
D = ./

truss1test:
	-@${D}dsdp5 truss1.dat-s -dlogsummary 0 -print 1 > truss1.tmp 2>&1; \
	if ( ${DIFF} truss1.tmp output.truss1 ) then echo "  No error: truss1 "; \
	else echo "  Possible Error (truss1): Differences between this output and reference output:"; fi; \
	${RM} truss1.tmp

mcp100test:
	-@${D}dsdp5 mcp100.dat-s -dlogsummary 0 -print 1 > mcp100.tmp 2>&1; \
	if ( ${DIFF} mcp100.tmp output.mcp100 ) then echo "  No error: mcp100 "; \
	else echo "  Possible Error (mcp100): Differences between this output and reference output:"; fi; \
	${RM} mcp100.tmp

maxcuttest:
	-@${D}maxcut graph1 > maxcut.tmp 2>&1; \
	if ( ${DIFF} maxcut.tmp output.maxcut ) then echo "  No error: Maxcut "; \
	else echo "  Possible Error (maxcut): Differences between this output and reference output:"; fi; \
	${RM} maxcut.tmp

thetatest:
	-@${D}theta graph1 > theta.tmp 2>&1; \
	if ( ${DIFF} theta.tmp output.theta ) then echo "  No Error: Theta "; \
	else echo "  Possible Error (theta): Differences between this output and reference output:"; fi; \
	${RM} theta.tmp

output:
	${RM} output.truss1 output.mcp100 output.maxcut output.theta;
	${D}dsdp5 truss1.dat-s -dlogsummary 0 -print 1 > output.truss1;
	${D}dsdp5 mcp100.dat-s -dlogsummary 0 -print 1 > output.mcp100;
	${D}maxcut graph1 > output.maxcut;
	${D}theta graph1 > output.theta;

test:
	-make truss1test
	-make mcp100test
	-make maxcuttest
	-make thetatest

all:
	make test

clean:
	${RM} theta maxcut color stable dsdp5

=== docs/Makefile ===
include ../make.include

htmlzip:
	zip -r DSDP5-api-html.zip dox
	${RM} -R dox

=== examples/Makefile ===

default:
	make all

include ../make.include

EXAMPLE_LIBS = ${DSDPLIB} ${LAPACKBLAS}

dsdp: exinfo clean
	${MEX} -I${DSDPROOT}/include dsdp.c ${DSDPLIB}; 
	${MV} dsdp.mex* ${DSDPMATLABDIR}

dsdpsdpa: exinfo clean readsdpa.o 
	${CLINKER} readsdpa.o ${EXAMPLE_LIBS} -o dsdp5
	${MV} dsdp5 ${EXECDIR}
	${RM} readsdpa.o

maxcut: exinfo clean maxcut.o
	${CLINKER} -o maxcut maxcut.o ${EXAMPLE_LIBS}
	${MV} maxcut ${EXECDIR}
	${RM} maxcut.o

stable: exinfo clean stable.o
	${CLINKER} -o stable stable.o ${EXAMPLE_LIBS}
	${MV} stable ${EXECDIR}
	${RM} stable.o

color: exinfo clean color.o
	${CLINKER} -o color color.o ${EXAMPLE_LIBS}
	${MV} color ${EXECDIR}
	${RM} color.o

theta:	exinfo clean theta.o
	${CLINKER} -o theta theta.o ${EXAMPLE_LIBS}
	${MV} theta ${EXECDIR}
	${RM} theta.o

copysrc:
	${CP} ${DSDPROOT}/src/*/*.c allc
	${CP} ${DSDPROOT}/src/*/*.h allc
	${CP} ${DSDPROOT}/include/*.h allc
	${CP} ${DSDPROOT}/include/*.h .

# On most Linux/Unix machines
dsdpagain: copysrc
	${MEX} -DDSDPMATLAB -DDSDP_TIME dsdp.c allc/*.c
	${MV} dsdp.mex* ${DSDPMATLABDIR}
	make clean;

# On a Windows Machine
dsdpagain2: copysrc
	${MEX} -DDSDPMATLAB -DDSDP_MS_TIME -DNOUNDERBLAS dsdp.c allc/*.c
	${MV} dsdp.mex* ${DSDPMATLABDIR}
	make clean;

sdpaagain: copysrc	
	${CC} -O3 -DDSDP_TIME readsdpa.c allc/*.c ${LAPACKBLAS} -o dsdp5
	${MV} dsdp5 ${EXECDIR}
	make clean;

exinfo: chkroot
	-@echo "" 
	-@echo "Compiler version: ${CC}"
	-@echo "Compiler flags: ${CFLAGS}"
	-@echo "Using Linker: ${CLINKER}"
	-@echo "Using libraries: ${EXAMPLE_LIBS}" 
	-@echo "" 

most: exinfo
	make maxcut
	make theta
	make dsdpsdpa

all:
	make most
	make dsdp
	make clean;

clean:
	${RM} *~ *.o allc/* *.h

=== docs/dox/Makefile ===
include ../make.include

clean:
	${RM} html/* latex/* *~

=== pdsdp/PLAPPACK/Makefile ===

PLAPACK_ROOT	= /home/benson/soft/PLAPACKR30

default: all

include ../../make.include
include ${PLAPACK_ROOT}/Make.include

LINKER = mpicc

DCFLAGS =  -I${DSDPROOT}/include -I${DSDPROOT}/

OBJS	= readsdpa.o pdsdpplapack.o

LIBLAPACK = /usr/lib/liblapack.a -lblas -lg2c -lm

dsdpsdpa: ${OBJS}
	${LINKER} -o pdsdp5 ${OBJS} ${DSDPLIB} ${PLAPACKLIB} ${LIBLAPACK}
	${RM} ${OBJS}

info2:
	-@echo "======================================================"
	-@echo "Compiling PDSDP using PLAPACK parallel linear solver."
	-@echo "  Check ../../make.include to set compiler."
	-@echo "  the mpicc compiler may produce faster DSDP libraries"
	-@echo "======================================================"

clean:
	${RM} ${OBJS}

all: info info2 dsdpsdpa

=== pdsdp/ScaLAPACK/Makefile ===

default: all

include ../../make.include

SCALAPACKDIR=/home/benson/soft/SCALAPACK
BLACSDIR=/home/benson/soft/BLACS/LIB

#MPIHOME = /home/benson/petsc-2.3.0/externalpackages/mpich2-1.0.1/linux-gnu-O
MPIHOME = /home/petsc/soft/linux-debian_sarge-gcc-pgf90/mpich-1.2.6
#MPIHOME = /home/petsc/soft/linux-2/mpich-1.2.5

DCFLAGS = -I${SCALAPACKDIR}/PBLAS/SRC  -I${MPIHOME}/include/

SCALAPACKLIB = -L${SCALAPACKDIR}  -lscalapack 

COMMPLAT=MPI-LINUX-0
#BLACSLIB = ${BLACSDIR}/blacsCinit_${COMMPLAT}.a  ${BLACSDIR}/blacsF77init_${COMMPLAT}.a  ${BLACSDIR}/blacs_${COMMPLAT}.a
BLACSLIB = -L${BLACSDIR}/ -lblacsCinit_${COMMPLAT}  -lblacsF77init_${COMMPLAT}  -lblacs_${COMMPLAT}

#MPI = -L${MPIHOME}/lib -lfmpich -lmpich 
MPI = -L${MPIHOME}/lib -lmpich
#MPI = -L${MPIHOME}/lib -lfmpich -lmpich -lmpichf90 -lmpichf90nc -lmpichfsup
#MPI = ${MPIHOME}/lib/*.a

LAPACKBLAS = /usr/lib/liblapack.a -lblas -lf2c -lm

ALLLIBS = ${DSDPLIB} ${SCALAPACKLIB} ${BLACSLIB} ${MPI} ${LAPACKBLAS} 

FLINKER = mpicc

OBJS	= readsdpa.o pdsdpscalapack.o
dsdpsdpa: ${OBJS}
	${FLINKER} -o pdsdp5 ${OBJS} ${ALLLIBS}
	${RM} ${OBJS}

OBJS2	= maxcut.o pdsdpscalapack.o
maxcut: ${OBJS2}
	${CLINKER} -o pmaxcut ${OBJS2} ${ALLLIBS}
	${RM} ${OBJS2}

info2:
	-@echo "======================================================"
	-@echo "Compiling PDSDP using SCLAPACK parallel linear solver."
	-@echo "  Check ../../make.include to set compiler."
	-@echo "  the mpicc compiler may produce faster DSDP libraries"
	-@echo "======================================================"

clean:
	${RM} ${OBJS}

all: info info2 dsdpsdpa

=== src/bounds/Makefile ===
DSDPOBJ	=  dbounds.o allbounds.o

DCFLAGS   = -I${PP}solver

include ../../make.include

default:
	make dsdplib;

clean:
	${RM} ${DSDPOBJ}

=== src/lp/Makefile ===

DSDPOBJ	=  dsdplp.o

DCFLAGS   = -I${PP}solver

include ../../make.include

default:
	make dsdplib;

clean:
	${RM} ${DSDPOBJ}

=== src/sdp/Makefile ===

DSDPOBJ	=  dsdpstep.o printsdpa.o  sdpconevec.o \
	   sdpsss.o dsdpadddata.o dsdpadddatamat.o dsdpblock.o \
	   sdpcone.o sdpkcone.o sdpcompute.o sdpconesetup.o \
	   dsdpdsmat.o dsdpdatamat.o dsdpdualmat.o dsdpxmat.o

DCFLAGS   = -I${PP}solver

include ../../make.include

default:
	make dsdplib;

clean:
	${RM} ${DSDPOBJ}

=== src/solver/Makefile ===

DSDPOBJ	=  dualalg.o dualimpl.o dsdpcops.o dsdpschurmat.o dsdpcg.o \
	   dsdpconverge.o dsdpsetup.o dsdpcone.o dsdpsetoptions.o \
	   dsdpsetdata.o dsdprescone.o dsdpobjcone.o dsdpprintout.o \
	   dsdpschurmatadd.o dsdpx.o

include ../../make.include

default:
	make dsdplib;

clean:
	${RM} ${DSDPOBJ}

=== src/sys/Makefile ===

DSDPOBJ	=  dsdperror.o dsdploginfo.o  dsdplog.o dsdptime.o

DCFLAGS   = -D${DSDPTIMER}

include ../../make.include

default:
	make dsdplib;

clean:
	${RM} ${DSDPOBJ}

=== debian/changelog ===
dsdp (5.8-9.1ubuntu2) xenial; urgency=medium

  * Cast INFO to int before storing it in the flag. LP: #1543982.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 14 Apr 2016 12:52:28 +0100

dsdp (5.8-9.1ubuntu1) xenial; urgency=medium

  * Build using -O2 on s390x. LP: #1543982.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Feb 2016 11:28:13 +0100

dsdp (5.8-9.1build1) xenial; urgency=medium

  * No-change rebuild for libblas3gf->libblas3 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Jan 2016 16:13:00 +0100

dsdp (5.8-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: Separate build-arch and build-indep targets so that
    directly invoking binary-arch behaves as expected.  Closes: #666310.

 -- Matej Vela <vela@debian.org>  Sun, 27 May 2012 21:01:56 +0100

dsdp (5.8-9) unstable; urgency=low

  * Bump Standards Version to 3.9.2 (no changes required).
  * Switch to dpkg-source 3.0 (quilt) format.
  * Include misc-depends to fix lintian warnings.
  * Replace doxygen and texlive-* build dependencies with doxygen-latex
  (Closes: #616210).

 -- Soeren Sonnenburg <sonne@debian.org>  Fri, 22 Jul 2011 09:08:09 +0200

dsdp (5.8-8) unstable; urgency=low

  [ Torsten Werner ]
  * Remove myself from Uploaders as discussed with Sören

  [ Soeren Sonnenburg ]
  * Add -lm -lblas to linkflags (Closes: #554307).
  * Bump Standards Version to 3.8.3 (no changes required).

 -- Soeren Sonnenburg <sonne@debian.org>  Wed, 11 Nov 2009 21:34:22 +0100

dsdp (5.8-7) unstable; urgency=low

  * Version dependency on debhelper (>=5).
  * Fix hyphen in manpage.

 -- Soeren Sonnenburg <sonne@debian.org>  Tue, 23 Sep 2008 20:06:09 +0200

dsdp (5.8-6) unstable; urgency=low

  * Build depend on ghostscript not obsolete gs-gpl (fixes lintian error).
  * Update my email address to sonne@debian.org.
  * Bump Standards Version to 3.8.0 (no changes required)

 -- Soeren Sonnenburg <sonne@debian.org>  Sun, 14 Sep 2008 09:33:16 +0200

dsdp (5.8-5) unstable; urgency=low

  * Use Science/Mathematics as doc-base section.

 -- Soeren Sonnenburg <debian@nn7.de>  Wed, 21 May 2008 21:18:35 +0200

dsdp (5.8-4) unstable; urgency=low

  [ Soeren Sonnenburg ]
  * Adjust Build-Depends for gfortran transition (Closes: #463947)
  * Fix typo in package description (Closes: Bug#464213)

  [ Torsten Werner ]
  * Rename package libdsdp-5.8 to libdsdp-5.8gf.
  * Change Build-Depends: libg2c0-dev to gfortran.
  * Add LAPACKBLAS="-llapack" to make arguments.
  * Add suffix 'gf' to soname.
  * Link shared library with all needed libraries.

 -- Torsten Werner <twerner@debian.org>  Fri, 08 Feb 2008 22:14:59 +0100

dsdp (5.8-3) unstable; urgency=low

   * Bump Standards-Version to 3.7.3

 -- Soeren Sonnenburg <debian@nn7.de>  Wed, 02 Jan 2008 19:23:31 +0100

dsdp (5.8-2) unstable; urgency=low

  [ Soeren Sonnenburg ]
  * Fix double builds (Closes: #442546)
  * Fix section for doc package

  [ Torsten Werner ]
  * Add Build-Depends: gs-gpl, texlive-latex-base.
  * Fix some lintian warnings.

 -- Torsten Werner <twerner@debian.org>  Wed, 19 Sep 2007 19:35:07 +0200

dsdp (5.8-1) unstable; urgency=low

  * Initial release (Closes: #436069)

 -- Soeren Sonnenburg <debian@nn7.de>  Wed, 01 Aug 2007 22:58:57 +0200

=== debian/control ===
Source: dsdp
Section: science
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Soeren Sonnenburg <sonne@debian.org>
Build-Depends: cdbs, debhelper (>= 5), gfortran, libblas-dev, liblapack-dev,
 doxygen, doxygen-latex
Standards-Version: 3.9.2
Homepage: http://www-unix.mcs.anl.gov/DSDP/
Vcs-Svn: https://bollin.googlecode.com/svn/dsdp/trunk/
Vcs-Browser: http://bollin.googlecode.com/svn/dsdp/trunk/

Package: dsdp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Software for Semidefinite Programming
 The DSDP software is a free open source implementation of an interior-point
 method for semidefinite programming. It provides primal and dual solutions,
 exploits low-rank structure and sparsity in the data, and has relatively
 low memory requirements for an interior-point method. It allows feasible
 and infeasible starting points and provides approximate certificates of
 infeasibility when no feasible solution exists. The dual-scaling
 algorithm implemented in this package has a convergence proof and
 worst-case polynomial complexity under mild assumptions on the
 data. Furthermore, the solver offers scalable parallel performance for
 large problems and a well documented interface. Some of the most popular
 applications of semidefinite programming and linear matrix inequalities
 (LMI) are model control, truss topology design, and semidefinite
 relaxations of combinatorial and global optimization problems.
 .
 This package contains the binaries.

Package: dsdp-doc
Architecture: all
Depends: ${misc:Depends}
Recommends: dsdp
Section: doc
Description: Software for Semidefinite Programming
 The DSDP software is a free open source implementation of an interior-point
 method for semidefinite programming. It provides primal and dual solutions,
 exploits low-rank structure and sparsity in the data, and has relatively
 low memory requirements for an interior-point method. It allows feasible
 and infeasible starting points and provides approximate certificates of
 infeasibility when no feasible solution exists. The dual-scaling
 algorithm implemented in this package has a convergence proof and
 worst-case polynomial complexity under mild assumptions on the
 data. Furthermore, the solver offers scalable parallel performance for
 large problems and a well documented interface. Some of the most popular
 applications of semidefinite programming and linear matrix inequalities
 (LMI) are model control, truss topology design, and semidefinite
 relaxations of combinatorial and global optimization problems.
 .
 This package contains the documentation and examples.

Package: libdsdp-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdsdp-5.8gf (= ${binary:Version})
Description: Software for Semidefinite Programming
 The DSDP software is a free open source implementation of an interior-point
 method for semidefinite programming. It provides primal and dual solutions,
 exploits low-rank structure and sparsity in the data, and has relatively
 low memory requirements for an interior-point method. It allows feasible
 and infeasible starting points and provides approximate certificates of
 infeasibility when no feasible solution exists. The dual-scaling
 algorithm implemented in this package has a convergence proof and
 worst-case polynomial complexity under mild assumptions on the
 data. Furthermore, the solver offers scalable parallel performance for
 large problems and a well documented interface. Some of the most popular
 applications of semidefinite programming and linear matrix inequalities
 (LMI) are model control, truss topology design, and semidefinite
 relaxations of combinatorial and global optimization problems.
 .
 This package contains the header files for developers.

Package: libdsdp-5.8gf
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Software for Semidefinite Programming
 The DSDP software is a free open source implementation of an interior-point
 method for semidefinite programming. It provides primal and dual solutions,
 exploits low-rank structure and sparsity in the data, and has relatively
 low memory requirements for an interior-point method. It allows feasible
 and infeasible starting points and provides approximate certificates of
 infeasibility when no feasible solution exists. The dual-scaling
 algorithm implemented in this package has a convergence proof and
 worst-case polynomial complexity under mild assumptions on the
 data. Furthermore, the solver offers scalable parallel performance for
 large problems and a well documented interface. Some of the most popular
 applications of semidefinite programming and linear matrix inequalities
 (LMI) are model control, truss topology design, and semidefinite
 relaxations of combinatorial and global optimization problems.
 .
 This package contains the library files.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_SHLIBDEPS_INCLUDE := /usr/lib/atlas
ver    := $(DEB_UPSTREAM_VERSION)
soname := libdsdp-$(ver)gf.so

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
OPT = -O3

common-build-arch:: debian/build-arch-stamp
debian/build-arch-stamp:
	$(MAKE) DSDPROOT=`pwd` OPTFLAGS="-fPIC $(OPT)" dsdpapi LAPACKBLAS="-llapack \
		-lblas -lm"
	cd lib && ar x libdsdp.a && \
		$(CC) -shared -Wl,--no-add-needed,-soname=$(soname) -o $(soname) *.o \
		-llapack -lblas -lm && ln -s $(soname) libdsdp.so && rm *.o
	$(MAKE) DSDPROOT=`pwd` -C examples clean
	$(MAKE) DSDPROOT=`pwd` OPTFLAGS="$(OPT)" DSDPLIB="-L$(CURDIR)/lib -ldsdp -lm" \
		example LAPACKBLAS=""
	touch $@

clean::
	$(MAKE) clean
	$(RM) debian/build-arch-stamp debian/build-indep-stamp
	$(RM) docs/dox/docwarnings bin/results-dsdp*
	$(RM) -r docs/dox/html 

common-build-indep:: debian/build-indep-stamp
debian/build-indep-stamp:
	cd docs/dox && doxygen
	touch $@

get-orig-source:
	uscan --rename --upstream-version 0 || true
	@echo successfully retrieved upstream tarball

=== debian/watch ===
version=3
http://www-unix.mcs.anl.gov/DSDP/DSDP([0-9]*.[0-9]*).tar.gz debian debian/orig-tar.sh
